Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#61284 - [flatpak] 1.1.2-1 crashes plasmashell

Attached to Project: Arch Linux
Opened by Jarkko Torvinen (fernie) - Saturday, 05 January 2019, 19:16 GMT
Last edited by Antonio Rojas (arojas) - Sunday, 13 January 2019, 17:27 GMT
Task Type Bug Report
Category Packages: Extra
Status Closed
Assigned To No-one
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 2
Private No

Details

Description:
Updating flatpak from 1.1.1+3+g4111dbad-1 to 1.1.2-1 causes plasmashell to crash when right clicking any application in application launcher or -menu panel widget

Additional info:
attached strace plasmashell


(process:3123): GLib-GObject-WARNING **: 21:10:33.585: cannot register existing type 'AsLaunchable'

(process:3123): GLib-GObject-WARNING **: 21:10:33.585: cannot add private field to invalid (non-instantiatable) type '<invalid>'

(process:3123): GLib-CRITICAL **: 21:10:33.585: g_once_init_leave: assertion 'result != 0' failed

(process:3123): GLib-GObject-CRITICAL **: 21:10:33.585: g_object_new_with_properties: assertion 'G_TYPE_IS_OBJECT (object_type)' failed


Steps to reproduce:
install flatpak 1.1.2-1, right click any application from application menu
This task depends upon

Closed by  Antonio Rojas (arojas)
Sunday, 13 January 2019, 17:27 GMT
Reason for closing:  Duplicate
Additional comments about closing:   FS#61197 

Loading...